Page MenuHomePhabricator

Efl.Ui.Vg_Animation: Remove @beta mark
ClosedPublic

Authored by jsuya on Dec 12 2019, 6:46 PM.

Details

Summary

Remove beta mark for Efl.Ui.Vg_Animation.
.playing_sector and .value_provider_override leave a beta mark.
It will be removed after more review.

Depends on D10953

Ref T8476

Test Plan

meson_option.txt -> remove json in evas-loaders-disabler option
elementary_test -to "Vector Graphics Animation"

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 15111
Build 10415: arc lint + arc unit
jsuya created this revision.Dec 12 2019, 6:46 PM
jsuya requested review of this revision.Dec 12 2019, 6:46 PM
YOhoho requested changes to this revision.Dec 20 2019, 4:06 AM
YOhoho added a subscriber: YOhoho.

stabilized class, enum need @since tags.

This revision now requires changes to proceed.Dec 20 2019, 4:06 AM

Somebody better fix the dependency chain of this patchset, or rebasing will be very complicated :)

I think this task should be the last one, on top of D10939 and D10915.
Make sure the complete patchset still applies after the changes...

jsuya planned changes to this revision.Dec 20 2019, 6:09 AM

I will update it when some patches are complete.

jsuya updated this revision to Diff 27760.Dec 23 2019, 1:12 AM

update patch

jsuya updated this revision to Diff 27761.Dec 23 2019, 1:15 AM

fix typo

jsuya updated this revision to Diff 27762.Dec 23 2019, 1:16 AM
jsuya retitled this revision from Efl.Ui.Animation_View: Remove @beta mark to Efl.Ui.Vg_Animation: Remove @beta mark.
jsuya edited the summary of this revision. (Show Details)
jsuya edited the test plan for this revision. (Show Details)

update commit message

YOhoho removed a reviewer: YOhoho.Dec 23 2019, 1:19 AM

Thank you for updating @since tags.

cedric requested changes to this revision.Jan 1 2020, 1:52 PM

I am not convinced that we want to keep the event play,* in this class and not actually get them in a more general one. Maybe Efl.Player.

This revision now requires changes to proceed.Jan 1 2020, 1:52 PM
jsuya updated this revision to Diff 28222.Jan 16 2020, 4:35 AM

@cedric
Events and properties were moved to Efl.Player through several patches. (T8476)
Is there anything else I need to change?

zmike requested changes to this revision.Jan 16 2020, 7:31 AM
zmike added a subscriber: zmike.

Let's try to keep discussion only in the related ticket until we're all in agreement instead of spreading it in multiple places.

This revision now requires changes to proceed.Jan 16 2020, 7:31 AM
Hermet accepted this revision.Jan 30 2020, 4:45 AM

@cedric @zmike ping? If no more objections, let get in of it.

zmike accepted this revision.Jan 30 2020, 7:29 AM
cedric accepted this revision.Jan 30 2020, 8:59 AM
This revision is now accepted and ready to land.Jan 30 2020, 8:59 AM
This revision was automatically updated to reflect the committed changes.